FROM docker.io/golang:1.19-alpine AS builder

WORKDIR /go/src
ADD . .

RUN CGO_ENABLED=0 go build -v -mod vendor -tags netgo ./cmd/pod-volume-cleaner

######
FROM gcr.io/distroless/static

USER 1234
COPY --from=builder /go/src/pod-volume-cleaner /go/bin/pod-volume-cleaner
ENTRYPOINT ["/go/bin/pod-volume-cleaner"]
